Loading...
Searching...
No Matches
janus_config_container Struct Reference

Generic configuration container (can be an item, a category or an array). More...

`#include <config.h>`

## Data Fields

janus_config_type | type
| Whether this is a category, an item or an array.
const char * | name
| Name of the item/category/array.
const char * | value
| Value of the item (item only).
GList * | list
| Linked list of contained items/categories/arrays (category and array only).

## Detailed Description

Generic configuration container (can be an item, a category or an array).

## Field Documentation

## list

GList* janus_config_container::list

Linked list of contained items/categories/arrays (category and array only).

## name

const char* janus_config_container::name

Name of the item/category/array.

## type

janus_config_type janus_config_container::type

Whether this is a category, an item or an array.

## value

const char* janus_config_container::value

Value of the item (item only).

The documentation for this struct was generated from the following file:

- config.h